"cViz.drawChr" <-
function (eachChr, chrom, frameDesign, refSp) 
{
    len <- length(eachChr$begin)
    top <- frameDesign$top
    bottom <- frameDesign$bottom
    cex <- frameDesign$cex
    interval <- frameDesign$interval
    eachChr$shadeCol <- rep("", len)
    
    if(refSp == "human") { 
        for (i in 1:len) {
            if (eachChr$stain[i] == "acen") 
                eachChr$shadeCol[i] <- "skyblue2"
            else if (eachChr$stain[i] == "gneg") 
                eachChr$shadeCol[i] <- "gray92"
            else if (eachChr$stain[i] == "gpos25") 
                eachChr$shadeCol[i] <- "gray75"
            else if (eachChr$stain[i] == "gpos50") 
                eachChr$shadeCol[i] <- "gray60"
            else if (eachChr$stain[i] == "gpos75") 
                eachChr$shadeCol[i] <- "gray45"
            else if (eachChr$stain[i] == "gpos100") 
                eachChr$shadeCol[i] <- "gray30"
            else if (eachChr$stain[i] == "gvar") 
                eachChr$shadeCol[i] <- "khaki2"
            else eachChr$shadeCol[i] <- "brown"
        }
    }   
    
    if(refSp == "mouse") { 
        for (i in 1:len) {
            if (eachChr$stain[i] == "gneg") 
                eachChr$shadeCol[i] <- "gray92"
            else if (eachChr$stain[i] == "gpos100") 
                eachChr$shadeCol[i] <- "gray30"                 
            else if (eachChr$stain[i] == "gpos33") 
                eachChr$shadeCol[i] <- "gray75"
            else if (eachChr$stain[i] == "gpos66") 
                eachChr$shadeCol[i] <- "gray60"
            else if (eachChr$stain[i] == "gpos75") 
                eachChr$shadeCol[i] <- "gray45"                    
            else eachChr$shadeCol[i] <- "brown"
        }
    } 
        
    devSVG(file = paste(chrom, "svg", sep = "."), 
        width = frameDesign$imgFileWidth, 
        height = frameDesign$imgFileHeight)
    par(mai = frameDesign$mai)
    plot(c(0, 0), c(0, frameDesign$height), type = "n", xlim = c(0, 
        max(eachChr$end) * 1.1), axes = F, xlab = "", ylab = "")
    for (i in 1:len) {
        if (eachChr$stain[i] != "acen") {
            if (i%%2 == 1) {
                rect(eachChr$begin[i], bottom, eachChr$end[i], 
                  top, border = eachChr$shadeCol[i], col = eachChr$shadeCol[i])
                text((3 * eachChr$begin[i] + eachChr$end[i])/4, 
                  bottom - interval, pos = 1, labels = eachChr$band[i], 
                  srt = 90, cex = cex)
            }
            else {
                rect(eachChr$begin[i], bottom, eachChr$end[i], 
                  top, border = eachChr$shadeCol[i], col = eachChr$shadeCol[i])
                text((3 * eachChr$begin[i] + eachChr$end[i])/4, 
                  top + interval, pos = 3, labels = eachChr$band[i], 
                  srt = 90, cex = cex)
            }
        }
    }
    
    if(refSp == "human") { 
        i <- 1
        while (eachChr$stain[i] != "acen") {
            i <- i + 1
        }
        leftCenX <- c(eachChr$begin[i], eachChr$end[i], eachChr$begin[i])
        leftCenY <- c(bottom, (bottom + top)/2, top)
        polygon(leftCenX, leftCenY, border = eachChr$shadeCol[i], 
            col = eachChr$shadeCol[i])
        i <- i + 1
        rightCenX <- c(eachChr$begin[i], eachChr$end[i], eachChr$end[i])
        rightCenY <- c((bottom + top)/2, bottom, top)
        polygon(rightCenX, rightCenY, border = eachChr$shadeCol[i], 
            col = eachChr$shadeCol[i])
        mtext(text = chrom, side = 4, at = c(max(eachChr$end) * 1.05, 
            (top + bottom)/2), las = 2, adj = 1, cex = cex)
    }
                
    dev.off()
}

