"cViz.makeHeaderHtml" <-
function (fileName) 
{
    pat <- paste("chr", ".*.(.html$)", sep = "")
    reportList <- list.files(path = ".", pattern = pat)

    # SORT 
    chrNum <- reportList
    len <- length(chrNum)
    for(i in 1:len) {
       chrNum[i] <- strsplit(reportList[i], "\\.")[[1]][1]
       chrNum[i] <- substr(chrNum[i], 4, 7) 
    }
    sel <- chrNum %in% c(1:9)
    for(i in 1:len) {
      if(sel[i]) {
        chrNum[i] <- paste( "0", chrNum[i], sep="")  
      }
    }
    ord <- order(chrNum)
    reportList <- reportList[ord]


    lenOfReportList <- length(reportList)
    htmlOut <- file(paste(fileName, "html", sep = "."), "w")
    cat("<HTML><HEAD><TITLE>ChromoViz</TITLE><BODY>", file = htmlOut, 
        sep = "\n")
    cat("<TABLE ALIGN=CENTER CELLPADDING=0 CELLSPACING=0><TR>", 
        file = htmlOut, sep = "\n")
    for (i in 1:lenOfReportList) {
        cat("<td width=20><p align=center><a target=main a href=\"", 
            file = htmlOut)
        cat(reportList[i], file = htmlOut)
        cat(paste("\">", substr(reportList[i], 4, nchar(reportList[i]) - 
            5), sep = ""), file = htmlOut)
        cat("</a></p></td>", file = htmlOut, sep = "\n")
    }
    cat("</TR></TABLE></BODY></HTML>", file = htmlOut, sep = "\n")
    close(htmlOut)
}

